Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.optimize
Class OptimizationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  cc.mallet.optimize.OptimizationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidOptimizableException

    public class OptimizationException

extends java.lang.RuntimeException

General exception thrown by optimization algorithms when there is an optimization-specific problem. For example, an exception might be thrown when the gradient is sufficiently large but no step is possible in that direction.

Version:
  $Id: OptimizationException.java,v 1.1 2007/10/22 21:37:39 mccallum Exp $
Author:
  Jerod Weinman weinman@cs.umass.edu
See Also:
  Serialized Form

Constructor Summary
`OptimizationException()`
`OptimizationException(java.lang.String message)`
`OptimizationException(java.lang.String message, java.lang.Throwable cause)`
`OptimizationException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimizationException

    public OptimizationException()

### OptimizationException

    public OptimizationException(java.lang.String message)

### OptimizationException

    public OptimizationException(java.lang.String message,
                                 java.lang.Throwable cause)

### OptimizationException

    public OptimizationException(java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD